Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Zendesk

This contains APIs specific to the creation of zendesk ticket

create zendesk ticket for given user

post
Query parameters
ticketTypestring · enumRequired

type of the ticket

Possible values:
prioritystring · enumRequired

priority of the ticket

Possible values:
subjectstringRequired

subject of the ticket

regressionbooleanOptional

regression of the ticket

Body
messagestringOptional
urlstringOptional
regionstring · enumOptionalPossible values:
userBrowserstringOptional
userOSstringOptional
websitestringOptional
userNamestringOptional
accountIdstringOptional
modulestringOptional
browserResolutionstringOptional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/zendesk
POST /gateway/authz/api/zendesk?ticketType=QUESTION&priority=LOW&subject=text HTTP/1.1
Host: access-control-79894d6ccb-ltplk
Content-Type: multipart/form-data
Accept: */*
Content-Length: 190

{
  "message": "text",
  "url": "text",
  "region": "NO_PREFERENCE",
  "userBrowser": "text",
  "userOS": "text",
  "website": "text",
  "userName": "text",
  "accountId": "text",
  "module": "text",
  "browserResolution": "text"
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

get short live token for Coveo

get
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/zendesk/token
GET /gateway/authz/api/zendesk/token HTTP/1.1
Host: access-control-79894d6ccb-ltplk
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?